﻿/** @format */

@charset "utf-8";

/* ideas page
 * ========================================================================== */

.cormorant-garamond {
    font-family: 'Cormorant Garamond', serif;
}
.noto-sans {
    font-family: 'Noto Sans JP', sans-serif;
}
.mv {
    position: relative;
}
.text-wrapper {
    position: absolute;
    inset: 0;
    display: grid;
    place-items: center;
}
.project-title {
    font-size: clamp(40px, 5.9vw, 100px);
    font-weight: 500;
}
.search-field {
    padding: 40px 24px;
    border-top: 1px solid #707070;
    border-bottom: 1px solid #707070;
}
.search-title {
    margin-bottom: 24px;
    width: 164px;
    height: 38px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    background: #3b4453;
    color: #fff;
    font-size: 16px;
    font-weight: 500;
    border-radius: 30px;
}
.search-list {
    display: flex;
    flex-wrap: wrap;
    gap: 12px 24px;
}
.tag-link.is-active {
    color: #3b4453;
    font-weight: 600;
    border-bottom: 1px solid;
}
.tag-link {
    font-weight: 200;
}
.tag-link:hover {
    border-bottom: 1px solid;
}
.card-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 80px 40px;
}
.card-thumb {
    aspect-ratio: 40 / 49;
    position: relative;
    overflow: hidden;
}
.card-thumb::before {
    display: block;
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    z-index: 1;
    background: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.6));
}
.card-thumb .img-wrapper {
    height: 100%;
}
.card-thumb .fit-img {
    height: 100%;
    object-fit: cover;
    transition: transform 0.6s cubic-bezier(0.65, 0, 0.35, 1);
}
.card-link:hover .card-thumb .fit-img {
    transform: scale(1.2);
}
.card-text-group {
    padding: 0 16px 16px;
    position: absolute;
    left: 0;
    right: 0;
    bottom: 16px;
    z-index: 2;
    color: #fff;
}
.card-text-group .lead {
    margin-bottom: 12px;
    font-size: 18px;
    font-weight: 300;
}
.card-tags {
    margin-top: 16px;
    font-size: 14px;
    font-weight: 300;
    gap: 8px;
    line-height: 1.3;
}
.card-tag-link {
    transition: 0.3s ease-out;
}
.card-tag-link:hover {
    background-color: #eee;
}

.ideas-modal {
    margin: 0 auto;
    display: none;
    position: fixed;
    top: 50%;
    left: 0;
    right: 0;
    z-index: 5;
    width: 90%;
    max-width: 1200px;
    max-height: 70vh;
    background: url(../../img/ideas/modal-bg.webp) no-repeat center #fff;
    transform: translateY(-50%);
    transition: 0.8s;
    opacity: 0;
}
.ideas-modal.is-active {
    opacity: 1;
}
.modal-scroll {
    overflow-y: scroll;
    height: 70vh;
}
.ideas-modal-inner {
    padding: clamp(32px, 5vw, 80px);
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    height: 100%;
}
.ideas-modal-slick {
    width: 42%;
    aspect-ratio: 488 / 552;
}
.ideas-modal-slick .img-wrapper {
    aspect-ratio: 488 / 552;
}
.ideas-modal-slick .fit-img {
    height: 100%;
    object-fit: cover;
    border-radius: 18px;
    overflow: hidden;
}
.ideas-modal-content {
    width: 48%;
    padding-bottom: 40px;
}
.ideas-modal-content .lead {
    font-size: 18px;
    font-weight: 500;
}
.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(7, 16, 31, 0.58);
    z-index: 4;
    cursor: pointer;
}
.close-btn {
    position: absolute;
    top: -40px;
    right: 0;
}
.ideas-modal-slick .slick-dots li {
    height: 12px;
    width: 12px;
    margin: 0 5px;
}
.ideas-modal-slick .slick-dots li button:before {
    width: 12px;
    height: 12px;
    font-size: 12px;
    line-height: 12px;
}
.ideas-modal-slick .slick-dots li button {
    height: 12px;
    width: 12px;
}
.ideas-modal-slick .slick-dots {
    bottom: -32px;
}
.ideas-modal-content .flex-wrapper {
    margin-bottom: 16px;
    gap: 4px 20px;
    font-size: 14px;
}
.ideas-modal .note span {
    font-size: 12px;
}
@media screen and (max-width: 767px) {
    .project-title {
        text-align: center;
        line-height: 1.3;
        letter-spacing: 0.075em;
    }
    .search-field {
        padding: 24px 16px;
    }
    .card-container {
        grid-template-columns: repeat(1, 1fr);
        gap: 40px;
    }
    .card-text-group .tertiary-heading {
        font-size: 24px;
    }
    .ideas-modal {
        top: 58%;
    }
    .ideas-modal-inner {
        padding: 32px 16px;
        flex-direction: column;
        height: 100%;
    }
    .ideas-modal-slick {
        width: 100%;
    }
    .ideas-modal-content {
        padding-top: 32px;
        width: 100%;
    }
    .ideas-modal-content .kumbh + .note {
        line-height: 1.3;
    }
    .ideas-modal-content .tertiary-heading {
        font-size: 20px;
    }
    .search-list {
        display: flex;
        flex-wrap: wrap;
        gap: 8px 16px;
        font-size: 14px;
    }
    .ideas-modal .note span {
        font-size: 9px;
    }
}
